## debci 1.13

=== debian/changelog ===
debci (1.13) unstable; urgency=medium

  [ Antonio Terceiro ]
  * debci-generate-feeds: fix link to autopkgtest log
  * api: make API self-documenting
  * config.ru: serve compressed logs inline in development
  * debci-worker: declare results queue only once
  * backends/fake: drop rmadison call
  * debci-job: rename `finished` to `import` and move logic to Debci::Job
  * api: don't crash on failed authentication
  * api: don't display retry button to unauthenticated users

  [ Paul Gevers ]
  * Add --no-apt-fallback to autopkgtest options
  * .gitlab-ci.yml: use backports for stable testing

 -- Paul Gevers <elbrus@debian.org>  Thu, 13 Sep 2018 15:34:35 +0200

=== debian/control ===
Source: debci
Section: devel
Priority: optional
Maintainer: Debian CI team <team+ci@tracker.debian.org>
Uploaders: Antonio Terceiro <terceiro@debian.org>, Paul Gevers <elbrus@debian.org>,
Build-Depends: amqp-tools,
               autopkgtest (>= 5.5~),
               dctrl-tools,
               debhelper (>= 9.20160709),
               devscripts,
               fonts-font-awesome (>= 4.0.3~),
               inotify-tools,
               jq,
               moreutils,
               patchutils,
               rabbitmq-server,
               rerun,
               ruby,
               ruby-activerecord,
               ruby-bunny,
               ruby-foreman,
               ruby-rspec (>= 2.14),
               ruby-sinatra,
               ruby-sinatra-contrib,
               ruby-sqlite3,
               ruby-thor,
               shellcheck,
               shunit2,
               yard
Standards-Version: 4.1.4
Homepage: http://ci.debian.net/
Vcs-Git: https://salsa.debian.org/ci-team/debci.git
Vcs-Browser: https://salsa.debian.org/ci-team/debci

Package: debci
Architecture: all
Depends: adduser,
         amqp-tools,
         bsdmainutils,
         curl,
         dctrl-tools,
         debootstrap,
         devscripts,
         fonts-font-awesome (>= 4.0.3~),
         libjs-bootstrap,
         libjs-jquery,
         libjs-jquery-flot,
         patchutils,
         ruby,
         ruby-activerecord,
         ruby-bunny,
         ruby-sinatra,
         ruby-sinatra-contrib,
         ruby-sqlite3 | ruby-pg,
         ruby-thor,
         sudo,
         jq,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: moreutils,
            ntp | time-daemon,
Suggests: apt-cacher-ng,
Description: continuous integration system for Debian
 debci will scan the Debian archive for packages that contain DEP-8 compliant
 test suites, and run those test suites whenever a new version of the package,
 or of any package in its dependency chain (modulo the base system), is
 available.
 .
 The requests are distributed to worker machines through AMQP queues. You need
 rabbitmq-server for this; but it is also possible to run RabbitMQ on a
 different server than debci, in which case you do not need to install that
 recommendation.
 .
 This package contains the debci core.

Package: debci-worker
Architecture: all
Depends: debci (= ${binary:Version}),
         autodep8 (>= 0.2~),
         autopkgtest (>= 5.5~),
         lxc | schroot,
         ${misc:Depends},
         ${shlibs:Depends}
Description: continuous integration system for Debian (worker daemon)
 debci will scan the Debian archive for packages that contain DEP-8 compliant
 test suites, and run those test suites whenever a new version of the package,
 or of any package in its dependency chain (modulo the base system), is
 available.
 .
 The requests are distributed to worker machines through AMQP queues. You need
 rabbitmq-server for this; but it is also possible to run RabbitMQ on a
 different server than debci, in which case you do not need to install that
 recommendation.
 .
 This package provides cron and init integration for running debci worker
 daemons that will listen to AMQP queues and run test jobs.

Package: debci-collector
Architecture: all
Depends: debci (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: rabbitmq-server,
Description: continuous integration system for Debian (collector daemon)
 debci will scan the Debian archive for packages that contain DEP-8 compliant
 test suites, and run those test suites whenever a new version of the package,
 or of any package in its dependency chain (modulo the base system), is
 available.
 .
 The requests are distributed to worker machines through AMQP queues. You need
 rabbitmq-server for this; but it is also possible to run RabbitMQ on a
 different server than debci, in which case you do not need to install that
 recommendation.
 .
 This package provides the collector daemon, which will receive test results
 published by debci worker hosts, store them centrally, and generate the static
 HTML files for the debci user interface.

## debci 1.14

=== debian/changelog ===
debci (1.14) unstable; urgency=medium

  * lxc/create-testbed: avoid cleaning up valid containers
  * README.md: point people to debian-ci@l.d.o and #debci (only)
  * docs/MAINTAINERS.md: add two new FAQs
  * debci-autopkgtest: make it work when run standalone
  * debci-localtest: remove last component from artifacts directory
  * debci-autopkgtest: don't hardcode autopkgtest arguments
  * Bump Standards-Version to 4.2.1 (no changes needed)
  * Move moreutils from Recommends: to Depends: (Closes: #910918)

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 03 Nov 2018 12:50:26 -0300

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
                shellcheck,
                shunit2,
                yard
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: http://ci.debian.net/
 Vcs-Git: https://salsa.debian.org/ci-team/debci.git
 Vcs-Browser: https://salsa.debian.org/ci-team/debci
@@ -45,6 +45,7 @@
          libjs-bootstrap,
          libjs-jquery,
          libjs-jquery-flot,
+         moreutils,
          patchutils,
          ruby,
          ruby-activerecord,
@@ -57,8 +58,7 @@
          jq,
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: moreutils,
-            ntp | time-daemon,
+Recommends: ntp | time-daemon
 Suggests: apt-cacher-ng,
 Description: continuous integration system for Debian
  debci will scan the Debian archive for packages that contain DEP-8 compliant

=== debian/tests/control ===
Tests: ruby-test-suite test-suite
Depends: debci, shunit2, ruby-rspec (>= 2.14), rabbitmq-server, autopkgtest
Restrictions: allow-stderr

Tests: integration-test
Depends: debci, shunit2, rabbitmq-server
Restrictions: allow-stderr, isolation-container, needs-root, breaks-testbed

Tests: multiarch-integration-test
Depends: debci, shunit2, rabbitmq-server
Restrictions: allow-stderr, isolation-container, needs-root, breaks-testbed

Tests: backend-schroot
Depends: debci, libnss-myhostname, netcat-openbsd, redir, autopkgtest, schroot
Restrictions: allow-stderr, isolation-machine, needs-root

Tests: backend-lxc
Depends: debci, libnss-myhostname, netcat-openbsd, redir, autopkgtest, lxc, rsync, libvirt-clients, libvirt-daemon-system, iptables, ebtables, dnsmasq-base
Restrictions: allow-stderr, isolation-machine, needs-root

# vim: ft=debcontrol

## debci 1.15

=== debian/changelog ===
debci (1.15) unstable; urgency=medium

  [ Paul Gevers ]
  * Proper support for autopkgtest exit status 14: erroneous package with
    skipped tests

  [ Antonio Terceiro ]
  * Debci::Job: order pending jobs by creation date
  * config: fix setting debci_data_retention_days
  * Debci::Config: replace conditionals with hash lookup
  * Debci::DB: add support for ActiveRecord 5.2 (Closes: #918179)
  * Add missing build dependency on ruby-rack-test
  * Add missing autopkgtest dependency on ruby-rack-test
  * Debci::Config: don't break config values containing "="
  * config: add timeout to default database config

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 07 Jan 2019 13:54:47 -0300

=== debian/control ===
--- 
+++ 
@@ -19,6 +19,7 @@
                ruby-activerecord,
                ruby-bunny,
                ruby-foreman,
+               ruby-rack-test,
                ruby-rspec (>= 2.14),
                ruby-sinatra,
                ruby-sinatra-contrib,

## debci 1.15.1

=== debian/changelog ===
debci (1.15.1) unstable; urgency=medium

  * debci setup-chdist: fix debootstrap usage
  * debci collector: make sure a single file is used as exitcode
  * Bump Standards-Version to 4.3.0; no changes needed otherwise


 -- Antonio Terceiro <terceiro@debian.org>  Wed, 06 Feb 2019 22:56:52 -0200

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
                shellcheck,
                shunit2,
                yard
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: http://ci.debian.net/
 Vcs-Git: https://salsa.debian.org/ci-team/debci.git
 Vcs-Browser: https://salsa.debian.org/ci-team/debci

=== debian/tests/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Tests: ruby-test-suite test-suite
-Depends: debci, shunit2, ruby-rspec (>= 2.14), rabbitmq-server, autopkgtest
+Depends: debci, shunit2, ruby-rspec (>= 2.14), ruby-rack-test, rabbitmq-server, autopkgtest
 Restrictions: allow-stderr
 
 Tests: integration-test

## debci 2.0

=== Makefile ===
all: doc

include links.mk

links.mk: links
	awk '{ print("LINKS +=", $$1); print($$1, ":"); print("\ttest -e ", $$2); print("\tmkdir -p $$(shell dirname ", $$1, ")"); print("\tln -sf", $$2, $$1)}' $^ > $@

MANPAGES = $(patsubst bin/%, man/%.1, $(shell grep -rl =head1 bin/*))

all: $(LINKS) $(MANPAGES)

.PHONY: spec check test

checkdeps:
	@if which dpkg-checkbuilddeps >/dev/null && which grep-dctrl >/dev/null; then dpkg-checkbuilddeps -d "$$(grep-dctrl -n -s Depends . debian/control | grep -v '\$$')"; fi

spec:
	@./test/banner 'Ruby unit tests'
	rspec --color

functional-tests:
	@./test/banner 'Functional tests'
	test/runall.sh
	$(RM) -v test/erl_crash.dump

backends = $(shell ls -1 backends/)
test_backends = $(patsubst %, test-%, $(backends))
.PHONY: $(test_backends)

test-backends: $(test_backends)

$(test_backends): test-% : backends/%/test-package
	@./test/banner "Test backend $*"
	./bin/debci test -b $* test/fake-package/ > log/test-$*.log 2>&1 # local source package
	./bin/debci test -b $* ruby-defaults      > log/test-$*.log 2>&1 # source package from archive

deb:
	mkdir -p tmp/deb
	rm -rf tmp/deb/debci*
	DEB_BUILD_OPTIONS=nocheck gbp buildpackage --git-ignore-branch --git-export-dir=tmp/deb
	cd tmp/deb && dpkg-scanpackages . > Packages
	@echo
	@echo "Debian packages available in tmp/deb/!"

ruby-console:
	irb -Ilib -rdebci

check: all check-ui-and-docs spec functional-tests

check-ui-and-docs: all
	test -d public/doc
	test -f public/doc/index.html
	test -L public/doc/js/jquery.js -a -f public/doc/js/jquery.js
	test -L public/jquery.js -a -f public/jquery.js
	test -L public/bootstrap

test: check

doc: public/doc/index.html public/doc/architecture.svg

public/doc/index.html public/doc/jq/jquery.js: README.md $(sort $(wildcard docs/*.md)) $(shell find lib -name '*.rb' | LC_ALL=C sort)
	$(RM) public/doc/js/jquery.js
	yardoc --markup markdown --output-dir public/doc --main README.md lib - $^
	ln -sf ../../jquery.js public/doc/js/jquery.js

public/doc/architecture.svg: docs/architecture.svg
	cp docs/architecture.svg public/doc/

$(MANPAGES): man/%.1: bin/% man
	pod2man --center "" --release "" --section=1 --utf8 $< $@

man:
	mkdir $@

.PHONY: tags

tags:
	ctags -R --exclude=data --exclude=chroots --exclude='public/jquery*' --exclude=public/bootstrap .

clean:
	$(RM) -rf $(generated) tags public/doc links.mk $(LINKS) man/

=== debian/changelog ===
debci (2.0) unstable; urgency=medium

  [ Paul Gevers ]
  * docs/MAINTAINERS.md: add lxc 3 syntax and consistent sudo usage

  [ Antonio Terceiro ]
  * debci-data: import and export package data
  * debci-shell: require debci/job from the start
  * add missing dependency on rsync
  * backends/qemu: use autopkgtest-build-qemu to build images
  * backends/lxc: detect bridge interface on lxc 3
  * docs/HACKING.md: improve setup instructions
  * docs/HACKING.md: drop mention to vagrant setup
  * links: require link target to exist during build
  * debian/rules: remove unused, override_dh_clean
  * debian/control: deduplicate Build-Depends and Depends
  * debci localtest: skip --shell-fail it not on a tty
  * docs/HACKING.md: be explicit about installing build dependencies
  * Make mirror setting consistent across system (Closes: #923436)
  * Add -m/--mirror parameter to most scripts
  * debian/tests/backend-lxc: update lxc networking config for lxc >= 3
  * debian/tests/backend-lxc: add new test dependency on lxc-templates

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 01 Mar 2019 20:57:12 -0300

=== debian/control ===
--- 
+++ 
@@ -3,31 +3,38 @@
 Priority: optional
 Maintainer: Debian CI team <team+ci@tracker.debian.org>
 Uploaders: Antonio Terceiro <terceiro@debian.org>, Paul Gevers <elbrus@debian.org>,
-Build-Depends: amqp-tools,
-               autopkgtest (>= 5.5~),
+Build-Depends: debhelper (>= 9.20160709),
+               amqp-tools,
+               autopkgtest (>= 5.5~) <!pkg.debci.runtime>,
+               bsdmainutils,
+               curl,
                dctrl-tools,
-               debhelper (>= 9.20160709),
                devscripts,
                fonts-font-awesome (>= 4.0.3~),
-               inotify-tools,
+               inotify-tools <!pkg.debci.runtime>,
                jq,
+               libjs-bootstrap,
+               libjs-jquery,
+               libjs-jquery-flot,
                moreutils,
                patchutils,
-               rabbitmq-server,
-               rerun,
+               rabbitmq-server <!pkg.debci.runtime>,
+               rerun <!pkg.debci.runtime>,
+               rsync,
                ruby,
                ruby-activerecord,
                ruby-bunny,
-               ruby-foreman,
-               ruby-rack-test,
-               ruby-rspec (>= 2.14),
+               ruby-foreman <!pkg.debci.runtime>,
+               ruby-minitar,
+               ruby-rack-test <!pkg.debci.runtime>,
+               ruby-rspec (>= 2.14) <!pkg.debci.runtime>,
                ruby-sinatra,
                ruby-sinatra-contrib,
-               ruby-sqlite3,
+               ruby-sqlite3 <!pkg.debci.runtime>,
                ruby-thor,
-               shellcheck,
-               shunit2,
-               yard
+               shellcheck <!pkg.debci.runtime>,
+               shunit2 <!pkg.debci.runtime>,
+               yard <!pkg.debci.runtime>,
 Standards-Version: 4.3.0
 Homepage: http://ci.debian.net/
 Vcs-Git: https://salsa.debian.org/ci-team/debci.git
@@ -36,27 +43,10 @@
 Package: debci
 Architecture: all
 Depends: adduser,
-         amqp-tools,
-         bsdmainutils,
-         curl,
-         dctrl-tools,
          debootstrap,
-         devscripts,
-         fonts-font-awesome (>= 4.0.3~),
-         libjs-bootstrap,
-         libjs-jquery,
-         libjs-jquery-flot,
-         moreutils,
-         patchutils,
-         ruby,
-         ruby-activerecord,
-         ruby-bunny,
-         ruby-sinatra,
-         ruby-sinatra-contrib,
          ruby-sqlite3 | ruby-pg,
-         ruby-thor,
          sudo,
-         jq,
+         ${debci:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: ntp | time-daemon

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with systemd

override_dh_auto_test:
	# skip buid-time tests for now
	@true

override_dh_gencontrol:
	debian/gen-deps >> debian/debci.substvars
	dh_gencontrol

override_dh_installinit:
	@true

=== debian/tests/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
 Restrictions: allow-stderr, isolation-machine, needs-root
 
 Tests: backend-lxc
-Depends: debci, libnss-myhostname, netcat-openbsd, redir, autopkgtest, lxc, rsync, libvirt-clients, libvirt-daemon-system, iptables, ebtables, dnsmasq-base
+Depends: debci, libnss-myhostname, netcat-openbsd, redir, autopkgtest, lxc, lxc-templates, rsync, libvirt-clients, libvirt-daemon-system, iptables, ebtables, dnsmasq-base
 Restrictions: allow-stderr, isolation-machine, needs-root
 
 # vim: ft=debcontrol

## debci 2.6

=== debian/changelog ===
debci (2.6) unstable; urgency=medium

  * lxc: generate random container names
  * Debci::Job.import: validate package name
  * Move collector-only programs to debci-collector
  * Debci::AMQP: consolidate AMQP connection logic
  * test_worker: exclude existing processes from check for leftover processes
  * ui: user job list: show a reasonable number of pagination links
  * debci-collector: override "no ruby dep" from lintian
  * Bump Standards-Version to 4.4.1; no changes needed

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 17 Nov 2019 19:28:29 -0300

debci (2.5) unstable; urgency=medium

  * Debci::Status: extract duration_human to a module
  * Debci::Data::Import: ignore unknown fields
  * Makefile: add quick-check target to run robocop and rspec
  * Debci::Job: include readable duration in JSON output
  * spec_helper: add missing require
  * Debci::Test::Expired: short circuit to false
  * ui: job history: don't link to results of unfinished tests
  * self_service: redesign authentication
  * ui: self_service: use a configured session secret key
  * ui: self_service: display custom "auth failed" page
  * Debci::TestHandler.enqueue: make priority an argument
  * ui: job history: do only exact match on package names
  * Debci::SelfService: remove pointless check
  * ui: job history: accept * as wildcard for package names
  * Revert "Debci::Repository: sort "slow packages" by duration"

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 11 Nov 2019 11:06:23 -0300

debci (2.4) unstable; urgency=medium

  * ui: pending jobs: display requestor
  * Debci::Repository: sort "slow packages" by duration
  * ui: job history: sort by date with newest first
  * ui: job history: avoid extra params in pagination links
  * ui: job history: increase num of items per page
  * Debci::Status: extract #expired? into a module
  * Debci::HTML: extract #filesize into Debci::HTMLHelpers
  * ui: job history: link to test results

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 15 Oct 2019 23:21:46 -0300

debci (2.3) unstable; urgency=medium

  * Debci::Job: extract method to produce package history
  * Debci::Job.history: omit migration tests
  * debci job latest-json: reuse Debci::Job.history
  * debci.install: install config.ru
  * config.ru: only serve static files in development mode
  * ui: history: fix reading log and artifacts size
  * ui: history: when linking to requestor, filter to match current page
  * Debci::HTML: extract method for status icons into a helper
  * ui: user job history: display test status

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 13 Oct 2019 13:14:59 -0300

debci (2.2.2) unstable; urgency=medium

  [ Paul Gevers ]
  * Fix debci-setup-chdist to use the right interface of
    debci-generate-apt-sources
  * debci-status: make robust for empty result entries

  [ Antonio Terceiro ]
  * Debci::HTML: use ERB builtin HTML escaping
  * Debci::Status: skip unescaping trigger
  * ui: always escape triggers
  * debci-status: skip empty entries
  * debci job latest-json: ignore pending jobs

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 01 Oct 2019 12:00:25 -0300

debci (2.2.1) unstable; urgency=medium

  * debci-autopkgtest: fix a regression when reading an undefined variable
    - Revert "debci-autopkgtest: skip --apt-upgrade on null backend"
    - Revert "lxc, schroot: drop explicit --apt-upgrade"
    - Revert "debci-autopkgtest: always pass --apt-upgrade"
    - qemu: pass --apt-upgrade to autopkgtest

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 24 Sep 2019 13:53:33 -0700

debci (2.2) experimental; urgency=medium

  [ Antonio Terceiro ]
  * Debci::HTML.platform_specific_issues: don't crash on date-less statuses
  * Update .rubocop_todo.yml
  * Debci::Status: read date from `created_at` as fallback
  * debci-generate-html: add option to regenerate all packages
  * Debci::Status: fix Ruby code style warnings
  * debci-setup-chdist: always updates APT configuration
  * debci-setup-chdist: workaround absence of buildd-stable-proposed-updates
  * UI: link to bug reports for source package
  * docs/HACKING.md: add some contribution guidelines
  * API doc: drop unused stylesheet inside <noscript>
  * API doc: display links to each API endpoint
  * lxc, schroot: drop explicit --apt-upgrade
  * Update .rubocop_todo.yml
  * rubocop: add proper exclusions
  * debci-worker@.service: make main service depend on individual workers
  * Don't log AMPQ password when there is one
  * .gitignore: add /config/blacklist
  * debci-generate-html: fix access to blacklisted packages
  * debci-autopkgtest: skip --apt-upgrade on null backend
  * test_helper: set additional environment variables for rabbitmq
  * debci job: avoid unnecessary parse/dump roundtrip
  * spec_helper: accept database url from environment
  * Also run Ruby tests against PostgreSQL
  * Debci::Job: increase version field to 256 characters
  * Bump Standards-Version to 4.4.0; no changes needed
  * debian/control: depend on ruby-sqlite3

  [ BhavySingh ]
  * backends/fake/debci-list-dependencies: fix Ruby code style
  * bin/debci-api: fix Ruby code style
  * bin/debci-enqueue: fix Ruby code style
  * bin/debci-job: fix Ruby code style
  * lib/debci/blacklist.rb: fix Ruby code style
  * lib/debci/db/migrations/201712290143_create_jobs.rb: fix Ruby code style
  * lib/debci/db.rb: fix Ruby code style
  * lib/debci/package.rb: fix Ruby code style
  * lib/debci.rb: fix Ruby code style
  * bin/debci-generate-history: fix Ruby code style issues
  * spec/debci/api_spec.rb: fix Ruby code style issues
  * spec/debci/data_spec.rb: fix Ruby code style issues
  * spec/debci/graph_spec.rb: fix Ruby code style
  * spec/debci/job_spec.rb: fix Ruby code style issues
  * spec/debci/package_spec.rb: fix Ruby code style issues
  * spec/debci/repository_spec.rb: fix Ruby code style issues

  [ Candy Tsai ]
  * edit Vagrantfile to setup development environment
  * api: extract test job creation
  * api: refactor authentication code


## debci 2.8

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 all: $(LINKS) $(MANPAGES)
 
-.PHONY: spec check test
+.PHONY: spec check test quick-check
 
 checkdeps:
 	@if which dpkg-checkbuilddeps >/dev/null && which grep-dctrl >/dev/null; then dpkg-checkbuilddeps -d "$$(grep-dctrl -n -s Depends . debian/control | grep -v '\$$')"; fi
@@ -17,6 +17,11 @@
 spec:
 	@./test/banner 'Ruby unit tests'
 	rspec --color
+
+spec-postgresql:
+	@./test/banner 'Ruby unit tests (PostgreSQL)'
+	pg_virtualenv sh -c 'DATABASE_URL=postgresql:///$$PGDATABASE rspec --color'
+
 
 functional-tests:
 	@./test/banner 'Functional tests'
@@ -43,9 +48,9 @@
 	@echo "Debian packages available in tmp/deb/!"
 
 ruby-console:
-	irb -Ilib -rdebci
+	./bin/debci shell
 
-check: all check-ui-and-docs spec functional-tests
+check: all check-ui-and-docs check-ruby-style spec spec-postgresql functional-tests
 
 check-ui-and-docs: all
 	test -d public/doc
@@ -54,7 +59,12 @@
 	test -L public/jquery.js -a -f public/jquery.js
 	test -L public/bootstrap
 
+check-ruby-style:
+	if type rubocop; then rubocop -c .rubocop_todo.yml; fi
+
 test: check
+
+quick-check: check-ruby-style spec
 
 doc: public/doc/index.html public/doc/architecture.svg

=== debian/changelog ===
debci (2.8) unstable; urgency=medium

  * Debci::Job#to_s: use "pending" when when status is nil
  * debci-localtest: ignore failure to record package (Closes: #950305)
  * Add configuration variable for amqp-tools options
  * debian/tests: replace deprecated $ADTTMP with $AUTOPKGTEST_TMP

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 17 Feb 2020 19:06:21 -0300

debci (2.7) unstable; urgency=medium

  * lxc: allow for some sorting of container names
  * api: fix call to check for blacklisted packages
  * api: set date of test requests for blacklisted packages
  * job history: don't link to missing files
  * Add migration to set date of jobs for blacklisted packages
  * Debci::Job: extract prefix method into shared module
  * Debci::HTML: history: don't link to missing files
  * html: history: fix HTML
  * Debci::Blacklist: fix test for blacklist on suite/arch
  * ui: job history: display duration
  * self_service_history.erb: get fields directly as method calls
  * Debci::Status.from_file: always set a package name
  * Debci::Blacklist: add support for wildcards in package names
  * self-service: job history: improve nagivation links
  * Debci::SelfService: make sure @user is set when available
  * Debci::Blacklist: avoid crashes when passed nil
  * debci-autopkgtest: record package/suite/arch inside testbed
  * lxc: make testbed creation atomic
  * schroot: make test bed creation atomic
  * debci-setup: drop test bed locking (Closes: #931206)
  * debci-test: drop testbed locking
  * tests: ensure backend is 'fake'
  * debci-generate-index: rename variable
  * api: avoid data loss when enqueue fails

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 12 Jan 2020 13:46:51 -0300

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,9 @@
                bsdmainutils,
                curl,
                dctrl-tools,
+               debian-archive-keyring,
                devscripts,
+               distro-info,
                fonts-font-awesome (>= 4.0.3~),
                inotify-tools <!pkg.debci.runtime>,
                jq,
@@ -18,6 +20,7 @@
                libjs-jquery-flot,
                moreutils,
                patchutils,
+               postgresql <!pkg.debci.runtime>,
                rabbitmq-server <!pkg.debci.runtime>,
                rerun <!pkg.debci.runtime>,
                rsync,
@@ -25,17 +28,18 @@
                ruby-activerecord,
                ruby-bunny,
                ruby-foreman <!pkg.debci.runtime>,
-               ruby-minitar,
+               ruby-pg,
                ruby-rack-test <!pkg.debci.runtime>,
                ruby-rspec (>= 2.14) <!pkg.debci.runtime>,
                ruby-sinatra,
                ruby-sinatra-contrib,
-               ruby-sqlite3 <!pkg.debci.runtime>,
+               ruby-kaminari-activerecord,
+               ruby-sqlite3,
                ruby-thor,
                shellcheck <!pkg.debci.runtime>,
                shunit2 <!pkg.debci.runtime>,
                yard <!pkg.debci.runtime>,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Homepage: http://ci.debian.net/
 Vcs-Git: https://salsa.debian.org/ci-team/debci.git
 Vcs-Browser: https://salsa.debian.org/ci-team/debci
@@ -44,6 +48,7 @@
 Architecture: all
 Depends: adduser,
          debootstrap,
+         netcat-openbsd | netcat-traditional,
          ruby-sqlite3 | ruby-pg,
          sudo,
          ${debci:Depends},
@@ -91,6 +96,8 @@
 Depends: debci (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
+Breaks: debci (<< 2.6~)
+Replaces: debci (<< 2.6~)
 Recommends: rabbitmq-server,
 Description: continuous integration system for Debian (collector daemon)
  debci will scan the Debian archive for packages that contain DEP-8 compliant

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with systemd

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# Run only Ruby tests during build
	make spec
endif

override_dh_gencontrol:
	debian/gen-deps >> debian/debci.substvars
	dh_gencontrol

override_dh_installinit:
	@true

override_dh_install:
	dh_install
	debian/sanity-check

=== debian/tests/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Tests: ruby-test-suite test-suite
-Depends: debci, shunit2, ruby-rspec (>= 2.14), ruby-rack-test, rabbitmq-server, autopkgtest
+Depends: debci-collector, shunit2, ruby-rspec (>= 2.14), ruby-rack-test, rabbitmq-server, autopkgtest
 Restrictions: allow-stderr
 
 Tests: integration-test

## debci 2.13

=== debian/changelog ===
debci (2.13) unstable; urgency=medium

  [ Antonio Terceiro ]
  * Add a proper user model
  * Debci::HTMLHelpers: fix parsing invalid pinnings
  * ui: switch to escaped HTML by default (Closes: #962862)
  * Set default external encoding to UTF-8

  [ Milos Knezevic ]
  * Fix missing build dependency (debootstrap)
  * Fix issue with init script exiting prior creating dev.conf
  * Fix lintian 'spelling-error-in-changelog' warning
  * Improve slight inconsistencies in docs/HACKING.md

  [ Utkarsh Gupta ]
  * Fix broken link for feed
  * Show package details on the retry page

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 28 Jun 2020 09:36:14 -0300

debci (2.12.2) unstable; urgency=medium

  * ui: fix table header in package history page
  * Debci::Collector: update only given suite/arch
  * Drop status from package list (prefix) pages.
    Unfortunately it's too expensive to produce those pages at the moment,
    so we can't afford to rebuild them on every new job.
  * Debci.log: flush STDOUT on each message
  * Debci::HTML: avoid extra queries
  * Debci::Package.history: fix ordering
  * Debci::Job: fix definition of "previous" job
  * job_spec: fix handling of dates to not fail in the future

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 15 May 2020 20:36:01 -0300

debci (2.12.1) unstable; urgency=medium

  * Debci::HTML: fix creation of global status.json
  * migrations: fix creation of Debci::PackageStatus
  * Debci::HTML: fix blacklist
  * Debci::Job.receive: handle repeating previously interruped receivements

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 14 May 2020 14:24:48 -0300

debci (2.12) unstable; urgency=medium

  * Debci::Job.receive: support jobs with no version
  * Debci::HTML: fix usage with broken symlinks
  * Debci::Collector: handle all types of errors
  * html: drop global feed
  * Debci::HTML: use only data from the database
  * self service/jobs: drop column for "debci log"
  * ui: display migration tests in the package history page

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 13 May 2020 21:55:42 -0300

debci (2.11) unstable; urgency=medium

  * Debci::Test::Duration.duration_human: handle zero
  * Drop links to "debci log" files
  * debci-test: add buildd suite for migration tests
  * Reformulate generation of static content
  - Debci::Job: receive autopkgtest results
      - Reformulate HTML generation
      - Add new CLI `debci html`; deprecate `debci generate-html`
      - Deprecate debci-generate-index; individual package pages are now
        updated right away when results for that package arrive;
        debci-update now only updates global pages (home page, status etc)
      - move all the real logic inside Debci::HTML
      - individual .json result files and "debci log" files are not longer
        produced.
      - debci-collector has been rewritten in Ruby, and will now receive
        results from the AMQP queue and directly import them instead of saving
        them to autopkgtest-incoming for later processing.
        - Legacy jobs in autopkgtest-incoming/ are processed o upgrade.
      - The data/status/ files are now simplified. For history, we keep a single
        status file per day. Existing data is migrated on upgrade.
    This set of changes provides a good performance enhancement. For
    example, running the full integration test suite on my machine now takes
    240 seconds instead of > 300
  * Drop pointless ${shlibs:Depends} from package dependencies
  * Makefile: fix parallel builds
  * Bump debhelper compatibility level to 12
    - Drop `--with systemd`, now handled by dh_installsystemd
  * Add Rules-Requires-Root: no
  * Replace dpkg-maintscript-helper calls in maintainer scripts with
    debian/debci.maintscript

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 19 Apr 2020 16:24:52 -0300

debci (2.10) unstable; urgency=medium

  [ Abhishek Kumar ]
  * [Status]: Fix inconsistent results produced
  * [Status]: Filter blacklisted and old statuses

  [ Antonio Terceiro ]
  * Debci::DB: support ActiveRecord 6 and drop support for < 5.2
  * Add more indexes to the jobs table
  * debci-expire: use database and look only for expired jobs
  * Debci::Status: remove duplicate implementation of expired?

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 04 Apr 2020 17:53:25 -0300

debci (2.9) unstable; urgency=medium

  [ Sébastien Delafond ]
  * Detect Kali in backends/lxc/create-testbed
  * api: allow passing an extra, optional priority parameter to enqueue jobs
    with

  [ Antonio Terceiro ]
  * debci-test: optimize storage of logs
  * Add some tests for debci-test
  * lib/environment.sh: accept amqp SSL options separately
  * Debci::AMQP: add TLS support
  * Remove all remaining mentions of $ADTTMP in favor of $AUTOPKGTEST_TMP
  * debci-autopkgtest: avoid trying to write to unexisting directory

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 01 Mar 2020 11:06:40 -0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: optional
 Maintainer: Debian CI team <team+ci@tracker.debian.org>
 Uploaders: Antonio Terceiro <terceiro@debian.org>, Paul Gevers <elbrus@debian.org>,
-Build-Depends: debhelper (>= 9.20160709),
+Build-Depends: debhelper-compat (= 12),
+               debootstrap,
                amqp-tools,
                autopkgtest (>= 5.5~) <!pkg.debci.runtime>,
                bsdmainutils,
@@ -19,14 +20,17 @@
                libjs-jquery,
                libjs-jquery-flot,
                moreutils,
+               parallel,
                patchutils,
                postgresql <!pkg.debci.runtime>,
                rabbitmq-server <!pkg.debci.runtime>,
                rerun <!pkg.debci.runtime>,
                rsync,
                ruby,
-               ruby-activerecord,
+               ruby-activerecord (>= 2:5.2),
                ruby-bunny,
+               ruby-database-cleaner <!pkg.debci.runtime>,
+               ruby-erubi,
                ruby-foreman <!pkg.debci.runtime>,
                ruby-pg,
                ruby-rack-test <!pkg.debci.runtime>,
@@ -43,6 +47,7 @@
 Homepage: http://ci.debian.net/
 Vcs-Git: https://salsa.debian.org/ci-team/debci.git
 Vcs-Browser: https://salsa.debian.org/ci-team/debci
+Rules-Requires-Root: no
 
 Package: debci
 Architecture: all
@@ -53,7 +58,6 @@
          sudo,
          ${debci:Depends},
          ${misc:Depends},
-         ${shlibs:Depends}
 Recommends: ntp | time-daemon
 Suggests: apt-cacher-ng,
 Description: continuous integration system for Debian
@@ -76,7 +80,6 @@
          autopkgtest (>= 5.5~),
          lxc | schroot,
          ${misc:Depends},
-         ${shlibs:Depends}
 Description: continuous integration system for Debian (worker daemon)
  debci will scan the Debian archive for packages that contain DEP-8 compliant
  test suites, and run those test suites whenever a new version of the package,
@@ -95,7 +98,6 @@
 Architecture: all
 Depends: debci (= ${binary:Version}),
          ${misc:Depends},
-         ${shlibs:Depends}
 Breaks: debci (<< 2.6~)
 Replaces: debci (<< 2.6~)
 Recommends: rabbitmq-server,

=== debian/tests/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Tests: ruby-test-suite test-suite
-Depends: debci-collector, shunit2, ruby-rspec (>= 2.14), ruby-rack-test, rabbitmq-server, autopkgtest
+Depends: debci-collector, shunit2, ruby-database-cleaner, ruby-rspec (>= 2.14), ruby-rack-test, rabbitmq-server, autopkgtest
 Restrictions: allow-stderr
 
 Tests: integration-test

## debci 2.14.1

=== debian/changelog ===
debci (2.14.1) unstable; urgency=medium

  * self_service_spec: fix test on arm64

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 21 Dec 2020 23:00:49 -0300

debci (2.14) unstable; urgency=medium

  [ Antonio Terceiro ]
  * Debci::Job: fix parameters for multiple pinned packages
  * ui: improve expansion of pinned packages
  * Drop dependency on bsdmainutils (Closes: #964525)
  * Debci::Job: fix newsworthiness check
  * debci-worker: retry result submission until it works
  * docs/HACKING.md: drop gratuitous reference to stretch

  [ intrigeri ]
  * MAINTAINERS.md: fix command that adds user to group

  [ Baptiste Beauplat ]
  * Remove redundant <code> tag in the Automate section of the history page

  [ Sebastien Delafond ]
  * Add 'worker' field to job result (Closes: #958975)

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 18 Dec 2020 16:59:26 -0300

## debci 2.15

=== debian/changelog ===
debci (2.15) unstable; urgency=medium

  * js: drop console.log noise when loading chart data
  * js: position chart legends at the top left
  * test_helper: improve temporary directory name
  * Debci::Collector: log when starting and stopping
  * Debci::App: add common 404 handler
  * Generate package pages dynamically
  * Move all static HTML for /packages away
  * Drop obsolete config.ru file
  * Add some unit tests for Debci::HTML::CLI
  * api: add basic tests for fetching test results
  * api: sort results by updated_at

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 24 Jan 2021 14:36:26 -0300

## debci 2.15.1

=== debian/changelog ===
debci (2.15.1) unstable; urgency=medium

  * test_helper: ensure a unique rabbitmq node name on CI environments.
    This hopefully fixes the unreliability of the functional tests on
    ci.debian.net. (Closes: #953947)
  * debian/tests/integration-test: don't install lxc or schroot

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 06 Apr 2021 18:53:57 -0300

## debci 2.15.2

=== Makefile ===
--- 
+++ 
@@ -13,6 +13,8 @@
 
 checkdeps:
 	@if which dpkg-checkbuilddeps >/dev/null && which grep-dctrl >/dev/null; then dpkg-checkbuilddeps -d "$$(grep-dctrl -n -s Depends . debian/control | grep -v '\$$')"; fi
+
+export COVERAGE = no
 
 spec:
 	@./test/banner 'Ruby unit tests'
@@ -60,7 +62,7 @@
 	test -L public/bootstrap
 
 check-ruby-style:
-	if type rubocop; then rubocop -c .rubocop_todo.yml; fi
+	if type rubocop; then rubocop; fi
 
 test: check
 
@@ -73,8 +75,11 @@
 	yardoc --markup markdown --output-dir public/doc --main README.md lib - $^
 	ln -sf ../../jquery.js public/doc/js/jquery.js
 
-public/doc/architecture.svg: docs/architecture.svg
+public/doc/architecture.svg: docs/architecture.svg public/doc
 	cp docs/architecture.svg public/doc/
+
+public/doc:
+	mkdir -p $@
 
 $(MANPAGES): man/%.1: bin/% man
 	pod2man --center "" --release "" --section=1 --utf8 $< $@

=== debian/changelog ===
debci (2.15.2) unstable; urgency=medium

  * autopkgtest: mark test-suite as flaky

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 22 May 2021 07:30:43 -0300

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,6 @@
                debootstrap,
                amqp-tools,
                autopkgtest (>= 5.5~) <!pkg.debci.runtime>,
-               bsdmainutils,
                curl,
                dctrl-tools,
                debian-archive-keyring,
@@ -25,6 +24,7 @@
                postgresql <!pkg.debci.runtime>,
                rabbitmq-server <!pkg.debci.runtime>,
                rerun <!pkg.debci.runtime>,
+               retry,
                rsync,
                ruby,
                ruby-activerecord (>= 2:5.2),

## debci 3.4

=== debian/changelog ===
debci (3.4) unstable; urgency=medium

  [ Pavit Kaur ]
  * Stop adding buildd APT entries by default
  * jobs: normalize worker field

  [ Olivia Cameron ]
  * Update docs/HACKING.md

  [ Shivam Singhal ]
  * Fix Shellcheck errors for bin/debci-autopkgtest

  [ Abiola Ajadi ]
  * Redirect after authentication to the page the user was trying to access
  * self-service test form: remember form values on failed submissions
  * packages: display pending jobs
  * web frontend: centralize job listing

  [ Antonio Terceiro ]
  * Drop debci-batch
  * spec: avoid monkeypatching core File methods
  * spec_helper: fix ambiguous calls in SimpleCov setup
  * Drop usage of deprecated method File.exists?
  * Debci::Job: drop unused local variable
  * Debci::SelfDocAPI: fix undefined variable warning
  * html: avoid warnings on undefined variables
  * self_service: fix redirect after login
  * frontend: respond with 404 on the history page of a non-existing package
  * functional tests: drop test_basics
  * collector_spec: avoid writing to real data directory
  * tools/workers.sh: revert back to moreutils parallel

  [ Marco M. F. De Santis ]
  * Update MAINTAINERS.md

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 23 Jan 2022 13:50:40 -0300

debci (3.3) unstable; urgency=medium

  [ Pavit Kaur ]
  * Add a user menu in the self service interface
  * Change extra-apt-sources into a fixed list

  [ Renan Luz ]
  * rubocop: clean up empty exclude lists

  [ Antonio Terceiro ]
  * override lintian tag about docs outside of /usr/share/doc
  * .gitlab-ci.yml: disable lintian for now
  * self_service: avoid duplicating usernames in development
  * debci-test: avoid duplicating apt sources
  * tools: break rerun invocations into multiple lines
  * tools: give rerun an application name explicitly
  * docs: update architecture diagram

  [ Paul Gevers ]
  * robots.txt: add /user/ as robots have nothing to find there

  [ Peter Pentchev ]
  * backends/schroot: do not break on undefined variables

  [ Shivam Singhal ]
  * Drop the link to data from the top menu
  * By default keep check the all architecture on request test page
  * Add package url to packages on Self-Service Job History Page

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 01 Nov 2021 10:47:23 -0300

debci (3.2) unstable; urgency=medium

  [ Antonio Terceiro ]
  * login page: improve appearance of the buttons
  * update-worker: update for all configured architectures
  * backends/fake: add create-testbed script
  * setup: always assume backends can create testbeds
  * setup: improve logging
  * debci-test: keep end of the log (Closes: #982598)
  * status charts: adapt time series for flot 4.x

  [ Pavit Kaur ]
  * Submit private jobs via API
  * Submit private jobs via Self Service
  * Add extra-apt-sources in API
  * Add extra-apt-sources via Self Service
  * Validate extra apt sources
  * Publish private tests via API
  * Update Self-Service Job History Page
  * Add Publish and Retry in Self-Service

  [ Paul Gevers ]
  * Raise default priority for scheduling jobs from 0/1 to 5

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 16 Aug 2021 10:16:18 -0300

debci (3.1) experimental; urgency=medium

  [ Pavit Kaur ]
  * Change Retry link to point to the self service interface
  * Migrate to logins using Salsa
  * Update the jobs table to add real reference to users table
  * Add private jobs flag to jobs

  [ Antonio Terceiro ]
  * Debci::Job: add index for field package_id
  * Debci::Job: index requestor_id

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 27 Jun 2021 08:39:41 -0300

debci (3.0.1) experimental; urgency=medium

  * backends/lxc/create-testbed: guard against undefined variable

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 30 May 2021 11:14:12 -0300

debci (3.0) experimental; urgency=medium

  [ Antonio Terceiro ]
  * backends: install ca-certificates
  * backends: qemu: don't make `debci` a system user (Closes: #983156)
  * Revert "backends: qemu: don't make `debci` a system user"
  * backends: qemu: translate proxy inside VM back
  * backends: qemu: replace adduser with useradd
  * Revamp shell best practices checks
  * Run codespell on `make test` and gitlab CI
  * doc: INSTALL.md: point to HACKING.md for development environments
  * debci-autopkgtest: setup APT retries
  * self service: fix example JSON file
  * codespell: ignore tags file
  * self_service: don't hide exceptions
  * Debci::TestHandler: handle missing arch without crashing
  * Debci::HTMLHelpers: display pinned packages correctly
  * Debci::App: extract get_page_range from Debci::SelfService
  * self_service_history: extract pagination code
  * Move all kaminari requires do debci/db
  * tools/check-shell-scripts.sh: don't finish on the first failure
  * spec_helper: resist simplecov not being installed
  * Debci::Package#backend: make test independent of local configuration
  * Debci::Expiration: add basic tests
  * spec_helper: bump required test coverage
  * docs/HACKING.md: clarify the setup methods

  [ daemon1024 ]
  * Fix Style/ConditionalAssignment violations

  [ Sergio de Almeida Cipriano Junior ]
  * Fix Style/GlovalVars issue
  * Rename blacklist to rejectlist

  [ Paul Gevers ]
  * docs/MAINTAINERS.md: update paragraph about Testsuite: header

  [ Ceda EI ]
  * backends/lxc/create-testbed: Fix shellcheck issues
  * backends/fake/test-package: Fix style violation AndOr
  * Fix incorrect key in self service documentation (archs -> arch)
  * Update Vagrantfile from contrib-buster64 to buster64
  * Replace proxy detection using netcat with auto-apt-proxy
  * Add /api/v1/reject_list to access reject list via an API
  * Update Vagrantfile to debian/bullseye64
  * Fix &mdash; being escaped for Trigger on retry page
  * Add warning on retry page when there are pending jobs

  [ Candy Tsai ]
  * frontend: implement server-side package search

  [ Pavit Kaur ]
  * rename whitelist to seed_list
  * Make value of slow_tests configurable


=== debian/control ===
--- 
+++ 
@@ -19,7 +19,6 @@
                libjs-jquery,
                libjs-jquery-flot,
                moreutils,
-               parallel,
                patchutils,
                postgresql <!pkg.debci.runtime>,
                rabbitmq-server <!pkg.debci.runtime>,
@@ -32,6 +31,7 @@
                ruby-database-cleaner <!pkg.debci.runtime>,
                ruby-erubi,
                ruby-foreman <!pkg.debci.runtime>,
+               ruby-omniauth-gitlab,
                ruby-pg,
                ruby-rack-test <!pkg.debci.runtime>,
                ruby-rspec (>= 2.14) <!pkg.debci.runtime>,
@@ -53,13 +53,12 @@
 Architecture: all
 Depends: adduser,
          debootstrap,
-         netcat-openbsd | netcat-traditional,
          ruby-sqlite3 | ruby-pg,
          sudo,
          ${debci:Depends},
          ${misc:Depends},
 Recommends: ntp | time-daemon
-Suggests: apt-cacher-ng,
+Suggests: apt-cacher-ng, auto-apt-proxy
 Description: continuous integration system for Debian
  debci will scan the Debian archive for packages that contain DEP-8 compliant
  test suites, and run those test suites whenever a new version of the package,

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@ --with systemd
+	dh $@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))

=== debian/tests/control ===
--- 
+++ 
@@ -1,6 +1,10 @@
-Tests: ruby-test-suite test-suite
+Tests: ruby-test-suite
 Depends: debci-collector, shunit2, ruby-database-cleaner, ruby-rspec (>= 2.14), ruby-rack-test, rabbitmq-server, autopkgtest
 Restrictions: allow-stderr
+
+Tests: test-suite
+Depends: debci-collector, shunit2, ruby-database-cleaner, ruby-rspec (>= 2.14), ruby-rack-test, rabbitmq-server, autopkgtest
+Restrictions: allow-stderr, flaky
 
 Tests: integration-test
 Depends: debci, shunit2, rabbitmq-server
